%define        pkgname racc

Name:          gem-%pkgname
Version:       1.5.1
Release:       alt1
Epoch:         1
Summary:       Ruby LALR(1) parser generator
Group:         Development/Ruby
License:       LGPLv2
Url:           http://i.loveruby.net/en/projects/racc/
Vcs:           https://github.com/tenderlove/racc.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
Source:        %name-%version.tar

BuildRequires(pre): rpm-build-ruby
BuildRequires: gem(hoe)
BuildRequires: gem(rake-compiler)

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-%pkgname < %EVR
Provides:      ruby-%pkgname = %EVR

%description
Racc is an LALR(1) parser generator.
It is written in ruby itself, and generates ruby programs.

NOTE: Ruby 1.8.x comes with Racc runtime module.
You can run your parsers generated by racc 1.4.x out of the box.

%package       -n %pkgname
Summary:       HTML, XML, SAX, and Reader parser
Group:         Development/Other
BuildArch:     noarch

%description   -n %pkgname
Racc is an LALR(1) parser generator.
It is written in ruby itself, and generates ruby programs.

Executable file for %gemname gem.

%description   -n %pkgname -l ru_RU.UTF8
Исполнямка для %gemname самоцвета.


%package       doc
Summary:       Documentation files for %gemname gem
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета %gemname
Group:         Development/Documentation
BuildArch:     noarch

%description   doc
Documentation files for %gemname gem.

%description   doc -l ru_RU.UTF8
Файлы сведений для самоцвета %gemname.


%prep
%setup

%build
%ruby_build --pre=compile --shebang=auto

%install
%ruby_install

%check
%ruby_test

%files
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n %pkgname
%_bindir/%pkgname

%files         doc
%ruby_gemdocdir


%changelog
* Mon Dec 07 2020 Pavel Skrylev <majioa@altlinux.org> 1:1.5.1-alt1
- ^ 1.5.0 -> 1.5.1
- ! restored lost files by adding the compile pre stage

* Wed Apr 01 2020 Pavel Skrylev <majioa@altlinux.org> 1:1.5.0-alt1
- ^ 1.4.15 -> 1.5.0
- ! spec tags and syntax

* Tue Apr 09 2019 Pavel Skrylev <majioa@altlinux.org> 1:1.4.15-alt2
- ! shebang line autoreplacement for excutables

* Wed Feb 28 2019 Pavel Skrylev <majioa@altlinux.org> 1:1.4.15-alt1
- > Ruby Policy 2.0
- 1.4.14 -> 1.4.15

* Wed Jul 11 2018 Andrey Cherepanov <cas@altlinux.org> 1:1.4.14-alt3.1
- Rebuild with new Ruby autorequirements.

* Thu Jan 26 2017 Ivan Zakharyaschev <imz@altlinux.org> 1:1.4.14-alt3
- Build with rpm-build-ruby-0.2.2-alt2 for more deps.

* Thu Oct 06 2016 Ivan Zakharyaschev <imz@altlinux.org> 1:1.4.14-alt2
- do not package ruby-racc-runtime.
  NOTE: Ruby 1.8.x comes with Racc runtime module.
  You can run your parsers generated by racc 1.4.x out of the box.

* Tue Sep 13 2016 Andrey Cherepanov <cas@altlinux.org> 1:1.4.14-alt1
- New version

* Wed Mar 19 2014 Led <led@altlinux.ru> 1:1.4.6-alt2.2
- Rebuilt with ruby-2.0.0-alt1

* Tue Dec 04 2012 Led <led@altlinux.ru> 1:1.4.6-alt2.1
- Rebuilt with ruby-1.9.3-alt1

* Tue Mar 22 2011 Andriy Stepanov <stanv@altlinux.ru> 1:1.4.6-alt2
- Rebuild with new ruby.

* Mon Jul 06 2009 Alexey I. Froloff <raorn@altlinux.org> 1:1.4.6-alt1.1
- Built for Sisyphus
